package org.churchsw.scripture.plugins;

import java.util.Iterator;
import java.util.Properties;
import java.util.Set;

import javax.swing.JOptionPane;

public class RemoveDuplicates extends PluginClass {

	public RemoveDuplicates() {

		int c = JOptionPane
				.showConfirmDialog(
						null,
						"This plugin will remove all duplicates.\n" +
						"For example, [Heaven,heaven] will be merged into one.\n" +
						"[i.e., duplicates when case insensitive will be removed]\n\n" +
						"Are you sure you want to proceed?","Remove Duplicates", JOptionPane.YES_NO_OPTION);

		if (c == JOptionPane.YES_OPTION) {

			Properties words = getDictionary();
			Set set = words.keySet();
			Iterator i = set.iterator();
			Properties mwords = new Properties();
			while (i.hasNext()) {
				String key = (String) i.next();
				String val = words.getProperty(key);
				String[] vals = val.split("[,]");
				StringBuffer sb = new StringBuffer();
				for (int j = 0; j < vals.length; j++) {
					if (sb.toString().toLowerCase().indexOf(
							vals[j].toLowerCase()) != -1)
						continue;
					if (!sb.toString().trim().equalsIgnoreCase(""))
						sb.append(",");
					sb.append(vals[j]);
				}
				mwords.setProperty(key, sb.toString());
			}
			setDictionary(mwords);
			reloadBibleChapter(true);			
		}
	}
}
